Name:       ibus-table-tv
Version:    1.2.0.20100108
Release:    1%{?dist}
Summary:    The Thai and Viqr (Vietnamese) tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://github.com/kaio/ibus-table-cyrillic/
Source0:    http://cloud.github.com/downloads/kaio/ibus-table-cantonese/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2.0.20090912-3
Requires(post):   ibus >= 1.2, ibus-table >= 1.2.0.20090912-3
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2.0.20090912-3
Obsoletes:        ibus-table-thai <= 1.2.0.20100108

%description
The Thai and Viqr (Vietnamese) tables for IBus-Table.

%prep
%setup -q

%build
%configure \
  --prefix=%{_prefix} \
  --disable-static \
  --enable-thai \
  --enable-viqr 
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

# %find_lang %{name}

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/translit.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/translit-ua.db

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/thai.db
%{_datadir}/ibus-table/tables/viqr.db

%changelog
* Fri Jan 08 2010 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20100108-1
- The first version.
- Combine Thai, Viqr tables.
